
## Overview

This is a Python package that provides an implementation of the Technique for Order of Preference by Similarity to Ideal Solution (TOPSIS) algorithm. TOPSIS is a multi-criteria decision-making method that helps in ranking a set of alternatives by evaluating them based on multiple criteria.

## Installation

You can install the package using pip:

pip install topsis-khyati-102103466

## USAGE
from topsis-khyati-102103466 import topsis

#Example data (replace this with your actual data)

data = {
    'Alternative1': [1, 2, 3, 4],
    'Alternative2': [4, 3, 2, 1],
    # Add more alternatives and their values
}

#Criteria weights (replace this with your actual weights)

weights = [0.25, 0.25, 0.25, 0.25]

#Criteria impacts ('+' or '-' for each criterion)

impacts = ['+', '+', '+', '-']

#Perform TOPSIS analysis

result = topsis(data, weights, impacts)

#Display the ranking

print("Ranking:", result)


## Parameters
data: A dictionary where keys are alternative names, and values are lists representing the performance values for each criterion.

weights: A list of weights corresponding to the importance of each criterion.

impacts: A list of impacts ('+' or '-') corresponding to the desired effect of each criterion.

## License
This package is distributed under the MIT License - see the LICENSE file for details.